const notes = await api.runOnBackend(async () => {
    return api.sql.getRows(`
        SELECT
            notes.noteId,
            COUNT(note_revisions.noteRevisionId) AS count
        FROM notes
        JOIN note_revisions USING (noteId)
        WHERE notes.isDeleted = 0
          AND note_revisions.isErased = 0
        GROUP BY notes.noteId
        ORDER BY count DESC
        LIMIT 100`);
});

const $statsTable = api.$container.find('.stats-table');

for (const note of notes) {     
    $statsTable.append(
        $("<tr>")
            .append(
                $("<td>").append(await api.createNoteLink(note.noteId, {showNotePath: true}))
            ) 
            .append($("<td nowrap>").text(note.count))
    );
}